Module jdk.sctp
Package com.sun.nio.sctp

## Enum HandlerResult

- java.lang.Object
- - java.lang.Enum<HandlerResult>
  - - com.sun.nio.sctp.HandlerResult

- All Implemented Interfaces:
    `Serializable`, `Comparable<HandlerResult>`

      public enum HandlerResult
      extends Enum<HandlerResult>

  Defines notification handler results.

  The `HandlerResult` is used to determine the behavior of the channel after it handles a notification from the SCTP stack. Essentially its value determines if the channel should try to receive another notificaiton or a message before returning.

  Since:
    1.7

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CONTINUE` | Try to receieve another message or notification.
    `RETURN` | Return without trying to receive any more data.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static HandlerResult` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static HandlerResult[]` | `values​()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CONTINUE

          public static final HandlerResult CONTINUE

      Try to receieve another message or notification.

    - #### RETURN

          public static final HandlerResult RETURN

      Return without trying to receive any more data.

  - ### Method Detail

    - #### values

          public static HandlerResult[] values​()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HandlerResult c : HandlerResult.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HandlerResult valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null